curl -X PUT https://zeplo.ai/api/subscriptions/renew/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Subscriptions & Plans
PUT Update Subscription
Update or renew a subscription.
PUT
/
api
/
admin
/
subscriptions
/
:id
curl -X PUT https://zeplo.ai/api/subscriptions/renew/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Update subscription (superadmin)
PUT /api/admin/subscriptions/:id
integer
required
Subscription ID.
Headers
string
required
Your API key
string
required
Your API secret key
string
required
WhatsApp channel ID
{
"planId": 3,
"autoRenew": true
}
Renew subscription
PUT /api/subscriptions/renew/:id
integer
required
Subscription ID.
curl -X PUT https://zeplo.ai/api/subscriptions/renew/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Toggle auto-renew
PUT /api/subscriptions/toggle-autorenew/:id
integer
required
Subscription ID.
curl -X PUT https://zeplo.ai/api/subscriptions/toggle-autorenew/1 \
-H "x-api-key: YOUR_API_KEY" \
-H "x-api-secret: YOUR_API_SECRET" \
-H "x-channel-id: YOUR_CHANNEL_ID"
Check expired subscriptions (superadmin)
PUT /api/admin/subscriptions/expire
Checks all subscriptions and marks expired ones.